/* =================================
   PAGE LOADER
================================= */

#pageLoader{

    position:fixed;

    inset:0;

    background:#ffffff;

    z-index:99999;

    display:flex;

    align-items:center;

    justify-content:center;

    transition:.5s ease;
}

#pageLoader.hidden{

    opacity:0;

    visibility:hidden;
}

.loader-content{

    display:flex;

    flex-direction:column;

    align-items:center;

    gap:25px;
}

.loader-content img{

    width:90px;
}

.loader-spinner{

    width:45px;
    height:45px;

    border:3px solid #e5e7eb;

    border-top:3px solid var(--primary);

    border-radius:50%;

    animation:spin 1s linear infinite;
}

@keyframes spin{

    from{
        transform:rotate(0deg);
    }

    to{
        transform:rotate(360deg);
    }

}
.loader-content img{

    width:90px;

    animation:
        pulse 1.8s infinite;
}

@keyframes pulse{

    0%{
        transform:scale(1);
    }

    50%{
        transform:scale(1.08);
    }

    100%{
        transform:scale(1);
    }

}